Pogodoc
API Reference

Immediate Render

Combines initialization and rendering in one step. Creates a job, uploads template/data directly, starts rendering, and adds the document to Strapi. Requires subscription check.

POST
/documents/immediate-render
AuthorizationBearer <token>

In: header

typestring
Value in"react" | "latex" | "html" | "ejs" | "pptx" | "xlsx" | "docx"
targetstring
Value in"jpg" | "png" | "pptx" | "xlsx" | "docx" | "html" | "pdf"
templateId?null|string
formatOpts?null|
data

Sample data for the template

template?null|string
uploadPresignedS3Url?null|string

Response Body

application/json

curl -X POST "https://api.pogodoc.com/v1/documents/immediate-render" \  -H "Content-Type: application/json" \  -d '{    "type": "docx",    "target": "pdf",    "data": {      "property1": null,      "property2": null    }  }'
{
  "url": "string"
}